import Cdn from './../Loaders/Cdn';
export default class Utils {
    static getRouteAndFilename(stringUrl: string): {
        route: string;
        fileName: string;
    };
    static getPath(stringUrl: string): {
        path: string;
    };
    static delay(milliseconds: number): Promise<unknown>;
    static findPathMach(url: string, path: string, newCdn: Cdn): string;
    static sliceByFirstSpecial(str: string, splitBySpecial?: boolean): string;
    static isMedia(path: string): boolean;
    static isManifest(path: string, splitBySpecial?: boolean): boolean;
    static isAudio(path: string): boolean;
    static isSubtitles(path: string): boolean;
    static bufferToString(b: ArrayBuffer): string;
    static returnRandom(a: string[]): string;
    static formatParameters(params: any): string;
    static ifByteArrayToString(data: any): string;
    static isValidUrl(urlString: string): boolean;
    static isHeaderMatch(headerValue: string, headerInfo: cacheHeaderBehavior): boolean;
}
